Package cx.ath.matthew.cgi

# Class DefaultErrorHandler

java.lang.Object
cx.ath.matthew.cgi.DefaultErrorHandler

All Implemented Interfaces:
  `CGIErrorHandler`

public class DefaultErrorHandler extends Object implements CGIErrorHandler
Interface to handle exceptions in the CGI.

## Constructor Summary

Constructors
Constructor
Description
`DefaultErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(boolean headers_sent, Exception e)`
This is called if an exception is not caught in the CGI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultErrorHandler

public DefaultErrorHandler()

## Method Details

### print

public void print(boolean headers_sent, Exception e)
This is called if an exception is not caught in the CGI. It should handle printing the error message nicely to the user, and then exit gracefully.

Specified by:
  `print` in interface `CGIErrorHandler`